/* ESTILO GERAL */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
html{
    scroll-behavior: smooth;
}
body {
    background-color: #000;
    height: 100vh;
    
}

.interface {
    max-width: 1280px;
    margin: 0 auto;
}

.flex {
    display: flex;
}

.btn-contato button {
    padding: 10px 40px;
    font-size: 18px;
    font-weight: 600;
    background-color: #F0BB0F;
    border: 0;
    border-radius: 30px;
    cursor: pointer;
    transition: .2s;
}
img {
    width: 100%;
    display: flex;
  }
h2.titulo {
    color: #fff;
    font-size: 38px;
    text-align: center;
}

h2.titulo span {
    color: #F0BB0F;
}

button:hover,
form .btn-enviar input:hover {
    box-shadow: 0px 0px 8px #F0BB0F;
    transform: scale(1.05);
}

/* ESTILO DO CABEÇALHO */
header {
    padding: 40px 4%;
}

header>.interface {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header a {
    color: #5c5c5c;
    text-decoration: none;
    display: inline-block;
    transition: .2s;
}

header nav.menu-desktop a:hover {
    color:#F0BB0F;
    transform: scale(1.05);
}

header nav ul {
    list-style-type: none;
}

header nav.menu-desktop ul li {
    display: inline-block;
    padding: 0 40px;
}
a{
    text-decoration:none;
}

/* ESTILO DO MENU MOBILE */

.btn-abrir-menu{
    display: none;
}

.btn-abrir-menu i{
    color: #F0BB0F;
    font-size: 40px;
}

.menu-mobile{
    background-color: #000;
    height: 100vh;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 99999;
    width: 0%;
    overflow: hidden;
    transition: .5s;
}

.menu-mobile.abrir-menu{
    width: 70%;
}

.menu-mobile.abrir-menu ~ .overlay-menu{
    display: block;
}


.menu-mobile .btn-fechar{
    padding: 20px 5%;
}

.menu-mobile .btn-fechar i{
    color: #F0BB0F;
    font-size: 30px;
}

.menu-mobile nav ul{
    text-align: center;
}

.menu-mobile nav ul li a{
    color: #fff;
    font-size: 20px;
    font-weight: 300;
    padding: 20px 8%;
    display: block;
}   

.menu-mobile nav ul li a:hover{
    background-color: #F0BB0F;
    color: #000;
}

.overlay-menu{
    background-color: #000000df;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 88888;
    display: none;
}

/* ESTILO DO TOPO DO SITE */
section.topo-do-site {
    padding: 40px 4%;
}

section.topo-do-site .flex {
    align-items: center;
    justify-content: center;
    gap: 90px;
}

.topo-do-site h2 {
    color: #fff;
    font-size: 42px;
    line-height: 40px;
}

.topo-do-site .txt-topo-site h2 span {
    color: #F0BB0F;
}

.topo-do-site .txt-topo-site p {
    color: #fff;
    margin: 40px 0;
    line-height:28px;
   
}

.topo-do-site .img-topo-site img {
    position: relative;
    animation: flutuar 2s ease-in-out infinite alternate;
    width:350px;
}


@keyframes flutuar {
    0% {
        top: 0;
    }

    100% {
        top: 30px;
    }
}

/* ESTILO SERVIÇOS */
section.servicos {
    padding: 40px 4%;
   
}

section.servicos .flex {
    display: grid;
    grid-template-columns: repeat(3, 300px);
    gap: 3rem;
}

.servicos .servicos-box {
    color: #fff;
    background-color:#1f2125;
    padding: 40px;
    border-radius: 20px;
    margin-top: 45px;
    transition: .2s;
    position:relative;
}
.servicos-box img{
    border-radius:10px;

}

.servicos .servicos-box:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px #ffffff78;
}
.servicos h2{
    margin-right:18rem;
}

.servicos .servicos-box h3 {
    font-size: 16px;
    margin: 15px 0;
}
.servicos-box a{
    color: #F0BB0F;
    position: absolute;
    bottom: 0;
    margin-bottom: 1rem;
    font-size: 14px;
}
.servicos-box i{
    margin-left:5px;
}

/* ESTILO DO SOBRE */
section.sobre {
    padding: 80px 4%;
}

section.sobre .flex {
    align-items: center;
    gap: 60px;
}

.sobre .txt-sobre {
    color: #fff;
}

.sobre .txt-sobre h2 {
    font-size: 40px;
    line-height: 40px;
    margin-bottom: 30px;
}

.sobre .txt-sobre h2 span {
    color: #F0BB0F;
    display: block;
}

.sobre .txt-sobre p {
    margin: 20px 0;
    text-align: justify;
}
.sobre .img-sobre img{
    border-radius:10px;
    height:350px;
    width:350px;
}
.about-enfase{
    color:#F0BB0F;
}
.btn-social button {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: none;
    background-color: #F0BB0F;
    font-size: 22px;
    cursor: pointer;
    margin: 0 5px;
    transition: .2s;
    color: #000000;
}

section.especiliadades .flex {
    gap: 40px;
}

.especiliadades .especialidades-box {
    color: #fff;
    padding: 40px;
    border-radius: 20px;
    margin-top: 45px;
    transition: .2s;
   
}
.especiliadades .especialidades-box i {
    font-size: 70px;
    color: #F0BB0F;
}

.especiliadades .especialidades-box h3 {
    font-size: 20px;
    margin: 15px 0;
}
/* ESTILO DO RODAPÉ */

footer {
    padding: 40px 4%;
    box-shadow: 0 0 40px 10px #ffffff1d;
}

footer .flex {
    justify-content: space-between;
}

footer .line-footer {
    padding: 20px 0;
    
}

.borda {
    border-top: 2px solid #F0BB0F;
}



footer .line-footer p {
    color: #fff;
    font-size:12px;
}
footer .logo-footer img{
    width:50px;
}
@media screen and (max-width: 1920px){
    section{
        margin-top:12rem;
    }
}
@media screen and (max-width: 1020px) {

    /* CLASSES GERAIS */

    section{
        margin-top:0.555rem;
    }
    .flex {
        flex-direction: column;
    }

    .topo-do-site .flex{
        flex-direction: column-reverse;
    }

    h2{
        font-size:34px;
        line-height:40px;
        text-align:center;
    }
    /* CABEÇALHO */
    .menu-desktop,
    .btn-contato {
        display: none;
    }

    /* TOPO DO SITE */

    section.topo-do-site .flex {
        gap: 40px;
    }

    section.topo-do-site {
        padding: 20px 8%;
    }
    .topo-do-site .img-topo-site img {
        width: 100%;
    }
    section.servicos .flex{
        padding: 40px 8%;
        display: grid;
        grid-template-columns: 1fr;
        gap: 1rem;
    }
      .servicos h2{
      transform:translateX(5rem);
      margin-top:3rem;
      
    }
    
    /* ESPECIALIDADES */
    section.especiliadades {
        padding: 40px 8%;
        
    }
    /* SOBRE */
    section.sobre {
        padding: 80px 8%;
    }
    section.sobre .flex {
       flex-direction:column-reverse;
      
    }

    .sobre .txt-sobre h2 {
        font-size: 34px;
        line-height: 35px;
        text-align: center;
    }
    .sobre .txt-sobre p {
        width:300px
    }
    .btn-social{
        text-align: center;
    }

    .sobre .img-sobre img{
        
        height:300px;
        width:300px;
    }


    /* RODAPÉ */
    footer .flex {
        flex-direction: column;
        gap: 30px;
    }

    footer .line-footer {
        text-align: center;
    }
}
@media screen and (max-width: 768px) {
    .btn-abrir-menu{
        display: block;
    }
}